%global srcname inline-snapshot
%global pypiname inline_snapshot
%global _description %{summary}.

Name:           python-%{srcname}
Version:        0.13.1
Release:        %autorelease
Summary:        Create and update inline snapshots in your python code

License:        MIT
URL:            https://github.com/15r10nk/inline-snapshot/
Source:         %{url}/archive/refs/tags/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(dirty-equals)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(pyright)
BuildRequires:  python3dist(pydantic)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-subtests)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  python3dist(time-machine)


%description
%{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypiname}


%check
%pyproject_check_import

# The pyright subtest requires npm to be present
%pytest -k "not test_typing[pyright]"


%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
%autochangelog